# Yahoo! UI Library

### TreeView Widget 2.2.2

Yahoo! UI Library > treeview > YAHOO.widget.TVAnim

## `static` Class YAHOO.widget.TVAnim

A static factory class for tree view expand/collapse animations

### Properties

#### FADE_IN `- static string`

Constant for the fade in animation

#### FADE_OUT `- static string`

Constant for the fade out animation

### Methods

#### getAnim

`static YAHOO.util.Animation getAnim ( type , el , callback )`
Returns a ygAnim instance of the given type

Parameters:
  `type <string>` the type of animation
  `el <HTMLElement>` the element to element (probably the children div)
  `callback <function>` function to invoke when the animation is done.

Returns: `YAHOO.util.Animation`
  the animation instance

#### isValid

`static boolean isValid ( type )`
Returns true if the specified animation class is available

Parameters:
  `type <string>` the type of animation

Returns: `boolean`
  true if valid, false if not

Copyright © 2007 Yahoo! Inc. All rights reserved.